Update assignment variables

Replace variable values for an assigned prompt template.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <API_KEY>, where API_KEY is your API key.

Path parameters

workspaceIdstringRequired
Workspace to configure.
modestringRequired

Channel whose variables to update. Allowed values: chat or voice.

Headers

X-Account-IdstringRequired
Account that owns the workspace.

Request

This endpoint expects an object.
variablesobjectRequired

The new variable values, keyed by variable key. Replaces the previous values object wholesale and is re-validated against the version variable definitions.

Response

The assignment with its updated variable values.
promptTemplateobject
The assignment on this slot, with the new variable values.

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error